import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FuwutaiRoutingModule } from './fuwutai-routing.module';
import { FuwutaiComponent } from './fuwutai.component';
import { ShareModule } from 'src/app/share/share.module';

import { NgxPrintModule } from 'ngx-print';
import { OrderScopeModule } from 'src/app/components/order-scope/order-scope.module';
import { IncidentDicrectOrderModule } from 'src/app/components/incidentManagement/incident-direct-order/incident-direct-order.module';
import { KnowledgeLookModule } from 'src/app/components/knowledge-look/knowledge-look.module';
import { IncidentDetailModule } from 'src/app/components/incidentManagement/incident-detail/incident-detail.module';
import { IncidentRejectModule } from 'src/app/components/incidentManagement/incident-reject/incident-reject.module';
import { IncidentSubstitutionModule } from 'src/app/components/incidentManagement/incident-substitution/incident-substitution.module';


@NgModule({
  declarations: [
    FuwutaiComponent
  ],
  imports: [
    CommonModule,
    ShareModule,
    FuwutaiRoutingModule,
    NgxPrintModule,
    OrderScopeModule,
    IncidentDicrectOrderModule,
    KnowledgeLookModule,
    IncidentDetailModule,
    IncidentRejectModule,
    IncidentSubstitutionModule,
  ]
})
export class FuwutaiModule { }
